Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QCalendarWidget.HorizontalHeaderFormat

    java.lang.Object
      java.lang.Enum<QCalendarWidget.HorizontalHeaderFormat>
          com.trolltech.qt.gui.QCalendarWidget.HorizontalHeaderFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QCalendarWidget.HorizontalHeaderFormat>

Enclosing class:
  QCalendarWidget

    public static enum QCalendarWidget.HorizontalHeaderFormat

extends java.lang.Enum<QCalendarWidget.HorizontalHeaderFormat>
implements QtEnumerator

This enum type defines the various formats the horizontal header can display.

See Also:
  `horizontalHeaderFormat`, `VerticalHeaderFormat`

Enum Constant Summary
`LongDayNames` The header displays complete day names (e.g. Monday).
`NoHorizontalHeader` The header is hidden.
`ShortDayNames` The header displays a short abbreviation for day names (e.g. Mon for Monday).
`SingleLetterDayNames` The header displays a single letter abbreviation for day names (e.g. M for Monday).

Method Summary
`static QCalendarWidget.HorizontalHeaderFormat` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCalendarWidget.HorizontalHeaderFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QCalendarWidget.HorizontalHeaderFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoHorizontalHeader

    public static final QCalendarWidget.HorizontalHeaderFormat NoHorizontalHeader

  The header is hidden.

### SingleLetterDayNames

    public static final QCalendarWidget.HorizontalHeaderFormat SingleLetterDayNames

  The header displays a single letter abbreviation for day names (e.g. M for Monday).

### ShortDayNames

    public static final QCalendarWidget.HorizontalHeaderFormat ShortDayNames

  The header displays a short abbreviation for day names (e.g. Mon for Monday).

### LongDayNames

    public static final QCalendarWidget.HorizontalHeaderFormat LongDayNames

  The header displays complete day names (e.g. Monday).

Method Detail

### values

    public static final QCalendarWidget.HorizontalHeaderFormat[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QCalendarWidget.HorizontalHeaderFormat c : QCalendarWidget.HorizontalHeaderFormat.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QCalendarWidget.HorizontalHeaderFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCalendarWidget.HorizontalHeaderFormat resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD